<?php
session_start();
ob_start();
require_once "../../../config/database.php";
include "../../../config/fungsi_tanggal.php";
include "../../../config/fungsi_rupiah.php";

require 'mailer/src/enviar_remision.php';

$fecha = $_GET['fecha'];
$nombre = $_GET['nombre'];
$observacion_enc = $_GET['observacion_enc'];

$query = mysqli_query($mysqli, "SELECT count(1) as cant FROM remision_detalle WHERE status = 'A' and idenc IS NULL")
                                or die('error'.mysqli_error($mysqli));
$rows  = mysqli_num_rows($query);
$data  = mysqli_fetch_assoc($query);
$cant = $data['cant'];

if($cant == 0) {
    echo "Favor de agregar partidas";
    return;
}
$created_user = $_SESSION['id_user'];

//Get Max Folio + 1
$query = mysqli_query($mysqli, "SELECT IFNULL(MAX(folio),0) + 1 as folio FROM remision_encabezado")
                                or die('error'.mysqli_error($mysqli));
$rows  = mysqli_num_rows($query);
$data  = mysqli_fetch_assoc($query);
$folio = $data['folio'];

//Insert in table transaccion_medicamentos_enc
$query = mysqli_query($mysqli, "
    INSERT INTO remision_encabezado(folio,fecha,created_user,nombre,status,observacion_enc) 
    VALUES('$folio','$fecha','$created_user','$nombre','A','$observacion_enc')")
    or die('error '.mysqli_error($mysqli));

//Get Last Insert Id
$query = mysqli_query($mysqli, "SELECT MAX(id) as idenc FROM remision_encabezado")
                                or die('error'.mysqli_error($mysqli));
$rows  = mysqli_num_rows($query);
$data  = mysqli_fetch_assoc($query);
$idenc = $data['idenc'];

//Update idenc in table remision_detalle
$query = mysqli_query($mysqli, "UPDATE remision_detalle SET idenc = '$idenc' WHERE status = 'A' and idenc IS NULL")
        or die('error: '.mysqli_error($mysqli));

//Query Encabezado
$queryEnc = mysqli_query($mysqli, "
    SELECT e.*
    FROM remision_encabezado as e
    WHERE e.id = '$idenc'")
        or die('Error '.mysqli_error($mysqli));
$rw_encabezado=mysqli_fetch_array($queryEnc);        

$hari_ini = date("d-m-Y");

$no = 1;


//Query detalle
$querydet = mysqli_query($mysqli, "
    SELECT c.name_user, b.*
    FROM remision_detalle as b, usuarios as c
    where b.created_user = c.id_user
    and b.idenc = '$idenc'")
        or die('Error '.mysqli_error($mysqli));
$rw_detalle=mysqli_fetch_array($querydet);


$query = mysqli_query($mysqli, "
    SELECT a.tipo_transaccion, a.id, a.fecha, a.codigo, a.cantidad, b.codigo, b.nombre, b.unidad, a.observaciones, a.created_user, c.username
    FROM remision_detalle as a
    INNER JOIN medicamentos as b ON a.codigo = b.codigo and a.tipo_transaccion='Remision'
    INNER JOIN usuarios as c on a.created_user = c.id_user
    WHERE a.idenc = '$idenc'
    ORDER BY id")
        or die('Error '.mysqli_error($mysqli));

$count  = mysqli_num_rows($query);
?>
<html xmlns="http://www.w3.org/1999/xhtml"> 
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <title>REMISION</title>
        <link rel="stylesheet" type="text/css" href="../../../assets/css/laporan.css" />       
    </head>
    <body>
       <div id="myHeader">
           Tequila San Matias de Jalisco,	   
        </div>
        
        <hr><br>    
		 <?php
			 echo "<img src='http://".$_SERVER['HTTP_HOST']."/inventario/images/logo.png' border='0' width='250' height='110' align=\"center\"><br>";			 
	     ?>
		  <br>
		  <div id="title" align="center" style ="font:bold" >
		  REMISION
          <br>
             <?php               
               /*$dias = array("Domingo","Lunes","Martes","Miercoles","Jueves","Viernes","Sábado");
               $meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
               echo $dias[date('w')]." ".date('d')." de ".$meses[date('n')-1]. " del ".date('Y') ;
             */
              ?>
        <br>
        </div>
        <br>
        <br>
        <br>

        <div id="myHeader">
               <?php
               //echo  'Entrega:  ';

               $sql_usuario=mysqli_query($mysqli,"select * from usuarios WHERE id_user='$_SESSION[id_user]' ");
               $rw_usuario=mysqli_fetch_array($sql_usuario);
               //echo  $rw_usuario['name_user']; 
               
			   
			   echo  "<div align=\"right\" style='color:#ff0000;font-size:100%;font-weight:bold;'>$rw_encabezado[serie]$rw_encabezado[folio]</div><br>";
			   echo  "<div align=\"right\" style='font-size:100%;font-weight:bold;'>$rw_encabezado[fecha]</div><br>";  
			   //echo  "<div align=\"right\" style='font-size:90%;font-weight:bold;'>$rw_folio[fecha]</div><br>"; 
               //echo "FOLIO:      ".$rw_encabezado['serie'].$rw_encabezado['folio'];            
               //echo "<br>";
			   //echo "<br>";
			   echo  "<div align=\"left\" style='font-size:90%;font-weight:bold;'>AUTORIZA: $rw_detalle[name_user]</div><br>";
               //echo "ENTREGA:      ".$rw_usuario['name_user'];
			   //echo "<br>";
			  // echo "<br>";
               //echo "OBSERVACIONES:".$rw_encabezado['observacion_enc'];
			   echo  "<div align=\"left\" style='font-size:90%;font-weight:bold;'>OBSERVACION GENERAL: $rw_encabezado[observacion_enc]</div>";
               //echo "<p style='font-family: Verdana, Arial, Helvetica, sans-serif;font-size: 18px;'> Hola </p>";
               echo "<br>";
               //echo "<br>";
			  // echo  "<div align=\"left\" style='font-size:90%;font-weight:bold;'>OBSERVACION GENERAL: $rw_detalle[nombre_entrega]</div>";
			   //echo "RECIBE:       ".$rw_detalle['nombre_entrega'];
                              
              ?>

        </div>


        <div id="myHeader">
		
            <table width="100%" border="0.3" cellpadding="0" cellspacing="0">
                <thead style="background:#e8ecee">
                    <tr class="tr-title">
					<th height="15" align="center" valign="middle" bgcolor="#005a6f" style="color: #ffffff;"><small>#</small></th>
                        <th height="20" align="center" valign="middle" bgcolor="#005a6f" style="color: #ffffff;"><small>TRANS</small></th>
                        <th height="20" align="center" valign="middle" bgcolor="#005a6f" style="color: #ffffff;"><small>CODIGO</small></th>
                        <th height="20" align="center" valign="middle" bgcolor="#005a6f" style="color: #ffffff;"><small>PRODUCTOS</small></th>
                        <th height="20" align="center" valign="middle" bgcolor="#005a6f" style="color: #ffffff;"><small>CANT</small></th>         
                        <th height="20" align="center" valign="middle"bgcolor="#005a6f" style="color: #ffffff;"><small>DETALLE</small></th>                     						
                    </tr>
                </thead>
                <tbody>
                    <br>  
             <br>
             <br>

        <?php
        while ($data = mysqli_fetch_assoc($query)) {
        #    $precio_compra = format_rupiah($data['precio_compra']);
         #   $precio_venta = format_rupiah($data['precio_venta']);
          
            echo "  <tr>
                         <td width='15' height='13' align='center' valign='middle' style='font-size:80%;'>$no</td>
                        <td width='100' height='13' align='center' valign='middle'style='font-size:80%;'>PR-$data[id]</td>                        
                        <td width='60' height='13' align='center' valign='middle'style='font-size:80%;'>$data[codigo]</td>
                        <td style='padding-left:5px;' width='180' height='13' valign='middle'style='font-size:80%;'>$data[nombre]</td>
                        <td style='padding-right:10px;' width='30' height='13' align='center' valign='middle'style='font-size:80%;'>$data[cantidad]</td>
						<td width='280' height='13' align='center' valign='middle'style='font-size:80%;'>$data[observaciones]</td>
                    </tr>";
            $no++;
        }
        ?>  
                </tbody>
            </table>

            
        </div>
		
		
<?php

echo "<br>";    
echo "<br>";
echo "<br>";
echo "<br>";
echo "<br>";
echo "<br>";
echo "<br>";
echo "<br>";
echo "<br>";
echo  "<div align=\"center\">_________________________</div><br>"; 
echo "<br>";
echo  "<div align=\"center\">Recibe</div><br>";
/*echo  "<div align=\"center\">$rw_detalle[name_user]</div><br>"; */


             
?>








    </body>
</html>


<?php
$filename="REMISION.pdf"; 


//==========================================================================================================
$content = ob_get_clean();
$content = '<page style="font-family: freeserif">'.($content).'</page>';

require_once('../../../assets/plugins/html2pdf_v4.03/html2pdf.class.php');
try
{
    $html2pdf = new HTML2PDF('P','F4','en', false, 'ISO-8859-15',array(10, 10, 10, 10));
    $html2pdf->setDefaultFont('Arial');
    $html2pdf->writeHTML($content, isset($_GET['vuehtml']));
    $html2pdf->Output($filename);
}
catch(HTML2PDF_exception $e) { echo $e; }
?>